cancel
Showing results for 
Search instead for 
Did you mean: 

Archives Discussions

ikozin
Journeyman III

Making FireStream 9270 work with Stream SDK 2.01

Hello!

I’m trying to make our  FireStream 9270 cards work with Stream SDK 2.01. We are running Scientific Linux SL release 5.4 (with gcc 4.1.2). Officially, only RHEL 5.3 is supported. Is that potentially an issue?

I’ve installed the drivers using ati-driver-installer-10-2-x86.x86_64.run and
# aticonfig --list-adapters
* 0. 85:00.0 AMD FireStream 9270
 
1. 0d:00.0 AMD FireStream 9270
  2. 08:00.0 AMD FireStream 9270

I can compile pretty much anything in the SDK (the build breaks only on Mandelbrot in opencl) but when I try running the resulting binary I get an error.

For example, in samples/cal

./hellocal
Supported CAL Runtime Version: 1.3.185
Found CAL Runtime Version: 1.4.553
Use -? for help
Segmentation fault

In OpenCL it’s usually

Error: clGetPlatformIDs failed. Error code : unknown error code
Any thoughts? thanks!

 

0 Likes
6 Replies
omkaranathan
Journeyman III

Originally posted by: ikozin  We are running Scientific Linux SL release 5.4 (with gcc 4.1.2). Officially, only RHEL 5.3 is supported. Is that potentially an issue?



This is a potential issue. Other users have reported issues with Scientific Linux.



When I try running the resulting binary I get an error.

For example, in samples/cal

./hellocal Supported CAL Runtime Version: 1.3.185 Found CAL Runtime Version: 1.4.553 Use -? for help Segmentation fault

This is because the driver did not get installed properly.

In OpenCL it’s usually Error: clGetPlatformIDs failed. Error code : unknown error code Any thoughts? thanks!



Seems you have missed the ICD registration part.

0 Likes

Thanks, this is helpful but unfortunately does not make it clear for me what needs to be done in order to get FireSream cards working.

The driver installation has not produced any errors and seemed to be successful. It only suggested in the end to run "aticonfig --initial" which I did. That updated xorg.conf

# aticonfig --initial
Found fglrx primary device section
Using /etc/X11/xorg.conf

which is probably useless because we want to use FireStream as compute devices only.

 

0 Likes

ikozin,
Please read the document, ATI_Stream_SDK_Installation_Notes.pdf, for information on how to correctly get setup on linux.
0 Likes

Thank you, MicahVillmow
I've already printed and read it. I'm not sure I can extract more information from it. The list of supported devices states that most of the cards are in beta including 9270. Perhaps that exlains it.

0 Likes

ikozin,

The problem here is your OS, you should be able to use FireStream cards to run OpenCL without any issues, but you can have problem with unsupported OS.

0 Likes

The problem has been finally resolved. Here is how

http://www.cse.scitech.ac.uk/disco/forums/ubbthreads.php?ubb=showflat&Number=2355&page=0#Post2355

hope this may be of some use.

0 Likes